com.hazelcast.config

## Class ConfigXmlGenerator.XmlGenerator

- java.lang.Object
- - com.hazelcast.config.ConfigXmlGenerator.XmlGenerator

- Enclosing class:
    ConfigXmlGenerator

      public static final class ConfigXmlGenerator.XmlGenerator
      extends Object

  Utility class to build xml using a `StringBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlGenerator(StringBuilder xml)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigXmlGenerator.XmlGenerator` | `appendLabels(Set<String> labels)`
    `ConfigXmlGenerator.XmlGenerator` | `appendProperties(Map<String,? extends Comparable> props)`
    `ConfigXmlGenerator.XmlGenerator` | `appendProperties(Properties props)`
    `ConfigXmlGenerator.XmlGenerator` | `close()`
    `ConfigXmlGenerator.XmlGenerator` | `node(String name, Object contents, Object... attributes)`
    `ConfigXmlGenerator.XmlGenerator` | `open(String name, Object... attributes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlGenerator

          public XmlGenerator(StringBuilder xml)

  - ### Method Detail

    - #### open

          public ConfigXmlGenerator.XmlGenerator open(String name,
                                                      Object... attributes)

    - #### node

          public ConfigXmlGenerator.XmlGenerator node(String name,
                                                      Object contents,
                                                      Object... attributes)

    - #### close

          public ConfigXmlGenerator.XmlGenerator close()

    - #### appendLabels

          public ConfigXmlGenerator.XmlGenerator appendLabels(Set<String> labels)

    - #### appendProperties

          public ConfigXmlGenerator.XmlGenerator appendProperties(Properties props)

    - #### appendProperties

          public ConfigXmlGenerator.XmlGenerator appendProperties(Map<String,? extends Comparable> props)

Copyright © 2019. All rights reserved.